curl --request POST \
--url https://api.leadsforge.ai/public/v1/enrichment/phone \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "Salesforge",
"companyDomain": "salesforge.ai",
"externalID": "crm-contact-42",
"firstName": "John",
"lastName": "Doe",
"linkedinURL": "https://www.linkedin.com/in/example-profile",
"personID": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company: 'Salesforge',
companyDomain: 'salesforge.ai',
externalID: 'crm-contact-42',
firstName: 'John',
lastName: 'Doe',
linkedinURL: 'https://www.linkedin.com/in/example-profile',
personID: '<string>'
})
};
fetch('https://api.leadsforge.ai/public/v1/enrichment/phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company: 'Salesforge',
companyDomain: 'salesforge.ai',
externalID: 'crm-contact-42',
firstName: 'John',
lastName: 'Doe',
linkedinURL: 'https://www.linkedin.com/in/example-profile',
personID: '<string>'
})
};
fetch('https://api.leadsforge.ai/public/v1/enrichment/phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.leadsforge.ai/public/v1/enrichment/phone';
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company: 'Salesforge',
companyDomain: 'salesforge.ai',
externalID: 'crm-contact-42',
firstName: 'John',
lastName: 'Doe',
linkedinURL: 'https://www.linkedin.com/in/example-profile',
personID: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.leadsforge.ai/public/v1/enrichment/phone"
payload = {
"company": "Salesforge",
"companyDomain": "salesforge.ai",
"externalID": "crm-contact-42",
"firstName": "John",
"lastName": "Doe",
"linkedinURL": "https://www.linkedin.com/in/example-profile",
"personID": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadsforge.ai/public/v1/enrichment/phone"
payload := strings.NewReader("{\n \"company\": \"Salesforge\",\n \"companyDomain\": \"salesforge.ai\",\n \"externalID\": \"crm-contact-42\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"linkedinURL\": \"https://www.linkedin.com/in/example-profile\",\n \"personID\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.leadsforge.ai/public/v1/enrichment/phone")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"company\": \"Salesforge\",\n \"companyDomain\": \"salesforge.ai\",\n \"externalID\": \"crm-contact-42\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"linkedinURL\": \"https://www.linkedin.com/in/example-profile\",\n \"personID\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.leadsforge.ai/public/v1/enrichment/phone");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"company\": \"Salesforge\",\n \"companyDomain\": \"salesforge.ai\",\n \"externalID\": \"crm-contact-42\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"linkedinURL\": \"https://www.linkedin.com/in/example-profile\",\n \"personID\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadsforge.ai/public/v1/enrichment/phone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'company' => 'Salesforge',
'companyDomain' => 'salesforge.ai',
'externalID' => 'crm-contact-42',
'firstName' => 'John',
'lastName' => 'Doe',
'linkedinURL' => 'https://www.linkedin.com/in/example-profile',
'personID' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.leadsforge.ai/public/v1/enrichment/phone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company\": \"Salesforge\",\n \"companyDomain\": \"salesforge.ai\",\n \"externalID\": \"crm-contact-42\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"linkedinURL\": \"https://www.linkedin.com/in/example-profile\",\n \"personID\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"channel": "email",
"email": "<string>",
"externalID": "<string>",
"personID": "<string>",
"phoneNumber": "<string>",
"status": "succeeded"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Find phone number (synchronous)
Synchronous. Finds one person’s phone number and returns the result in the same response, no job and no polling.
Consumes credits only on a hit: your account’s phone price when a value is found. A miss is free, and a value your account obtained in the last 30 days, through the API or the app, is returned free. not_found can be temporary; a later retry may find a value and is free if it misses again.
Input: personID (from POST /search), or person fields: linkedinURL, or firstName + lastName + a company signal (companyDomain preferred over company name). personID cannot be combined with person fields; a valid linkedinURL takes precedence over name and company. Optional externalID (max 128 chars) is echoed back.
status is succeeded or not_found. A personID that matches no person returns not_found at no cost. A call can take tens of seconds; set your client timeout accordingly.
curl --request POST \
--url https://api.leadsforge.ai/public/v1/enrichment/phone \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "Salesforge",
"companyDomain": "salesforge.ai",
"externalID": "crm-contact-42",
"firstName": "John",
"lastName": "Doe",
"linkedinURL": "https://www.linkedin.com/in/example-profile",
"personID": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company: 'Salesforge',
companyDomain: 'salesforge.ai',
externalID: 'crm-contact-42',
firstName: 'John',
lastName: 'Doe',
linkedinURL: 'https://www.linkedin.com/in/example-profile',
personID: '<string>'
})
};
fetch('https://api.leadsforge.ai/public/v1/enrichment/phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company: 'Salesforge',
companyDomain: 'salesforge.ai',
externalID: 'crm-contact-42',
firstName: 'John',
lastName: 'Doe',
linkedinURL: 'https://www.linkedin.com/in/example-profile',
personID: '<string>'
})
};
fetch('https://api.leadsforge.ai/public/v1/enrichment/phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.leadsforge.ai/public/v1/enrichment/phone';
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company: 'Salesforge',
companyDomain: 'salesforge.ai',
externalID: 'crm-contact-42',
firstName: 'John',
lastName: 'Doe',
linkedinURL: 'https://www.linkedin.com/in/example-profile',
personID: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.leadsforge.ai/public/v1/enrichment/phone"
payload = {
"company": "Salesforge",
"companyDomain": "salesforge.ai",
"externalID": "crm-contact-42",
"firstName": "John",
"lastName": "Doe",
"linkedinURL": "https://www.linkedin.com/in/example-profile",
"personID": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadsforge.ai/public/v1/enrichment/phone"
payload := strings.NewReader("{\n \"company\": \"Salesforge\",\n \"companyDomain\": \"salesforge.ai\",\n \"externalID\": \"crm-contact-42\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"linkedinURL\": \"https://www.linkedin.com/in/example-profile\",\n \"personID\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.leadsforge.ai/public/v1/enrichment/phone")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"company\": \"Salesforge\",\n \"companyDomain\": \"salesforge.ai\",\n \"externalID\": \"crm-contact-42\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"linkedinURL\": \"https://www.linkedin.com/in/example-profile\",\n \"personID\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.leadsforge.ai/public/v1/enrichment/phone");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"company\": \"Salesforge\",\n \"companyDomain\": \"salesforge.ai\",\n \"externalID\": \"crm-contact-42\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"linkedinURL\": \"https://www.linkedin.com/in/example-profile\",\n \"personID\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadsforge.ai/public/v1/enrichment/phone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'company' => 'Salesforge',
'companyDomain' => 'salesforge.ai',
'externalID' => 'crm-contact-42',
'firstName' => 'John',
'lastName' => 'Doe',
'linkedinURL' => 'https://www.linkedin.com/in/example-profile',
'personID' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.leadsforge.ai/public/v1/enrichment/phone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company\": \"Salesforge\",\n \"companyDomain\": \"salesforge.ai\",\n \"externalID\": \"crm-contact-42\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"linkedinURL\": \"https://www.linkedin.com/in/example-profile\",\n \"personID\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"channel": "email",
"email": "<string>",
"externalID": "<string>",
"personID": "<string>",
"phoneNumber": "<string>",
"status": "succeeded"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Authorizations
Body
Person to enrich
Was this page helpful?
